Return a string describing a socket error

- « socket_shutdown

- socket_write »

- PHP Manual
- Socket Functions
- Return a string describing a socket error

# socket_strerror

(PHP 4 >= 4.1.0, PHP 5, PHP 7, PHP 8)

socket_strerror — Return a string describing a socket error

### Description

socket_strerror(int `$error_code`): string

socket_strerror() takes as its `error_code` parameter a socket error code as returned by socket_last_error() and returns the corresponding explanatory text.

> Note:

> Although the error messages generated by the socket extension are in English, the system messages retrieved with this function will appear depending on the current locale (`LC_MESSAGES`).

### Parameters

`error_code`

  A valid socket error number, likely produced by socket_last_error().

### Return Values

Returns the error message associated with the `error_code` parameter.

### Examples

Example #1 socket_strerror() example

    <?phpif (false == ($socket = @socket_create(AF_INET, SOCK_STREAM, SOL_TCP))) {   echo "socket_create() failed: reason: " . socket_strerror(socket_last_error()) . "\n";}if (false == (@socket_bind($socket, '127.0.0.1', 80))) {   echo "socket_bind() failed: reason: " . socket_strerror(socket_last_error($socket)) . "\n";}?>

The expected output from the above example (assuming the script is not run with root privileges):

    socket_bind() failed: reason: Permission denied

### See Also

- socket_accept() - Accepts a connection on a socket
- socket_bind() - Binds a name to a socket
- socket_connect() - Initiates a connection on a socket
- socket_listen() - Listens for a connection on a socket
- socket_create() - Create a socket (endpoint for communication)